# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v4.4.229
  - 480787e5be113 Linux 4.4.229
  ACK: iwamatsu
  - d9ed57ecc2947 ALSA: usb-audio: Fix invalid NULL check in snd_emuusb_set_samplerate()
  ACK: iwamatsu
  - 7f9d01a3dac7a PCI: Disable MSI for HiSilicon Hip06/Hip07 only in Root Port mode
  ACK: iwamatsu
  - cff6b73198f86 NFSv4 fix CLOSE not waiting for direct IO compeletion
  ACK: iwamatsu
  - 6791042e833cb pNFS/flexfiles: Fix list corruption if the mirror count changes
  ACK: iwamatsu
  - 8deec224e90e0 SUNRPC: Properly set the @subbuf parameter of xdr_buf_subsegment()
  ACK: iwamatsu
  - d6f775f682e25 sunrpc: fixed rollback in rpc_gssd_dummy_populate()
  ACK: iwamatsu
  - 5904c239c037c drm/radeon: fix fb_div check in ni_init_smc_spll_table()
  ACK: iwamatsu
  - ddb10a15bebe9 tracing: Fix event trigger to accept redundant spaces
  ACK: iwamatsu
  - 50e22de32adfc arm64: perf: Report the PC value in REGS_ABI_32 mode
  ACK: iwamatsu
  - 12a758a770a2b ocfs2: fix panic on nfs server over ocfs2
  ACK: iwamatsu
  - 1e0e46e511c4b ocfs2: fix value of OCFS2_INVALID_SLOT
  ACK: iwamatsu
  - aaba67dff58ef ocfs2: load global_inode_alloc
  ACK: iwamatsu
  - 97d501d149ea2 mm/slab: use memzero_explicit() in kzfree()
  ACK: iwamatsu
  - 8807fbfcd94cf KVM: X86: Fix MSR range of APIC registers in X2APIC mode
  ACK: iwamatsu
  - 2aaf2d30cca0d ACPI: sysfs: Fix pm_profile_attr type
  ACK: iwamatsu
  - 157dafb4a734c blktrace: break out of blktrace setup on concurrent calls
  ACK: iwamatsu
  - ea4f911f9c1ab kbuild: improve cc-option to clean up all temporary files
  ACK: iwamatsu
  - 120736d175d2b net: alx: fix race condition in alx_remove
  ACK: iwamatsu
  - 00a95b481eba7 sched/core: Fix PI boosting between RT and DEADLINE tasks
  ACK: iwamatsu
  - 8487115b6e0fc netfilter: ipset: fix unaligned atomic access
  ACK: iwamatsu
  - ea8532dd6fb6b usb: gadget: udc: Potential Oops in error handling code
  ACK: iwamatsu
  - fb0b63ed4084d ARM: imx5: add missing put_device() call in imx_suspend_alloc_ocram()
  ACK: iwamatsu
  - 55344d5fdac02 RDMA/mad: Fix possible memory leak in ib_mad_post_receive_mads()
  ACK: iwamatsu
  - 8da5b2305f624 efi/esrt: Fix reference count leak in esre_create_sysfs_entry.
  ACK: iwamatsu
  - d1633159b6c8a cifs/smb3: Fix data inconsistent when zero file range
  ACK: iwamatsu
  - fca24eff10d4c cifs/smb3: Fix data inconsistent when punch hole
  ACK: iwamatsu
  - 09ec04369def1 xhci: Poll for U0 after disabling USB2 LPM
  ACK: iwamatsu
  - 137236fcdc6e4 ALSA: usb-audio: Fix OOB access of mixer element list
  ACK: iwamatsu
  - 17553ecdd0b57 ALSA: usb-audio: Clean up mixer element list traverse
  ACK: iwamatsu
  - 98f9e54a0d773 ALSA: usb-audio: allow clock source validity interrupts
  ACK: iwamatsu
  - 5ac359df8c9f5 ALSA: usb-audio: uac1: Invalidate ctl on interrupt
  ACK: iwamatsu
  - f5c6ecaa5cdf2 cdc-acm: Add DISABLE_ECHO quirk for Microchip/SMSC chip
  ACK: iwamatsu
  - 08950ca6038a6 xhci: Fix enumeration issue when setting max packet size for FS devices.
  ACK: iwamatsu
  - 56ee5f3070d79 xhci: Fix incorrect EP_STATE_MASK
  ACK: iwamatsu
  - 571b0abe7f4e5 ALSA: usb-audio: add quirk for Denon DCD-1500RE
  ACK: iwamatsu
  - e79d2f7c853b5 usb: host: ehci-exynos: Fix error check in exynos_ehci_probe()
  ACK: iwamatsu
  - 1805eda1b533b USB: ehci: reopen solution for Synopsys HC bug
  ACK: iwamatsu
  - 5e3d9f68f76a3 PCI: Disable MSI for HiSilicon Hip06/Hip07 Root Ports
  ACK: iwamatsu
  - e04cbde43abe9 usb: add USB_QUIRK_DELAY_INIT for Logitech C922
  ACK: iwamatsu
  - 736fa346f6d45 usb: dwc2: Postponed gadget registration to the udc class driver
  ACK: iwamatsu
  - 2aefbfc6b4fb0 USB: ohci-sm501: Add missed iounmap() in remove
  ACK: iwamatsu
  - 7f8a6bbeec89a mld: fix memory leak in ipv6_mc_destroy_dev()
  ACK: iwamatsu
  - e1f795de2ddf1 net: core: reduce recursion limit value
  ACK: iwamatsu
  - 31394a198cf91 net: Do not clear the sock TX queue in sk_set_socket()
  ACK: iwamatsu
  - c91b5162af314 net: Fix the arp error in some cases
  ACK: iwamatsu
  - 73ec90cc942ec sctp: Don't advertise IPv4 addresses if ipv6only is set on the socket
  ACK: iwamatsu
  - 363031b3bfede tcp: grow window for OOO packets only for SACK flows
  ACK: iwamatsu
  - b4a09240f5678 ip6_gre: fix use-after-free in ip6gre_tunnel_lookup()
  ACK: iwamatsu
  - e7589b2b72eba tcp_cubic: fix spurious HYSTART_DELAY exit upon drop in min RTT
  ACK: iwamatsu
  - aa0405f442456 ip_tunnel: fix use-after-free in ip_tunnel_lookup()
  ACK: iwamatsu
  - c55e6da867de8 tg3: driver sleeps indefinitely when EEH errors exceed eeh_max_freezes
  ACK: iwamatsu
  - 585fe3065d323 net: usb: ax88179_178a: fix packet alignment padding
  ACK: iwamatsu
  - 81f8ebaa9cbcd net: fix memleak in register_netdevice()
  ACK: iwamatsu
  - 1a78856e7bc85 fix a braino in "sparc32: fix register window handling in genregs32_[gs]et()"
  IGN: sparc32
  - ab1276b9abace net: sched: export __netdev_watchdog_up()
  ACK: iwamatsu
  - 387654fc19509 l2tp: Allow duplicate session creation with UDP
  ACK: iwamatsu
  - de4700c2c877f scsi: scsi_devinfo: handle non-terminated strings
  ACK: iwamatsu
  - 1ab4cc9c614e9 net: Revert "pkt_sched: fq: use proper locking in fq_dump_stats()"
  ACK: iwamatsu
  - 602c47fbf46b5 net: core: device_rename: Use rwsem instead of a seqcount
  ACK: iwamatsu
  - 20f05ba16c567 sched/rt, net: Use CONFIG_PREEMPTION.patch
  ACK: iwamatsu, fix commet
  - 496fed53d83ec e1000e: Do not wake up the system via WOL if device wakeup is disabled
  ACK: iwamatsu
  - 7b692b9696d59 kretprobe: Prevent triggering kretprobe from within kprobe_flush_task
  ACK: iwamatsu
  - 7f0e8bc7e71c1 x86/kprobes: Avoid kretprobe recursion bug
  ACK: iwamatsu
  - 190d22176f8d3 powerpc/kprobes: Fixes for kprobe_lookup_name() on BE
  IGN: ppc
  - f637e2c75f9a8 kprobes: Fix to protect kick_kprobe_optimizer() by kprobe_mutex
  ACK: iwamatsu
  - 44f5e4fc2605b crypto: algboss - don't wait during notifier callback
  ACK: iwamatsu
  - 578c6ed26c57e block: nr_sects_write(): Disable preemption on seqcount write
  ACK: iwamatsu
  - 885237aebb80b sparc64: fix misuses of access_process_vm() in genregs32_[sg]et()
  IGN: sparc64
  - a039515ce219a drm/dp_mst: Increase ACT retry timeout to 3s
  ACK: iwamatsu
  - bd0fc76797060 ext4: fix partial cluster initialization when splitting extent
  ACK: iwamatsu
  - 13f03f2bb7771 selinux: fix double free
  ACK: iwamatsu
  - 311e2f769e854 drm/qxl: Use correct notify port address when creating cursor ring
  ACK: iwamatsu
  - 8a654598ee2e4 drm/dp_mst: Reformat drm_dp_check_act_status() a bit
  ACK: iwamatsu
  - 64565a55d5867 drm: encoder_slave: fix refcouting error for modules
  ACK: iwamatsu
  - d8a71a53366a7 libata: Use per port sync for detach
  ACK: iwamatsu
  - f9aa90e1b8aa2 block: Fix use-after-free in blkdev_get()
  ACK: iwamatsu
  - 9517bec2c1ff8 bcache: fix potential deadlock problem in btree_gc_coalesce
  ACK: iwamatsu
  - d3e4550ee3eb2 perf report: Fix NULL pointer dereference in hists__fprintf_nr_sample_events()
  ACK: iwamatsu
  - 13af14dfadcb9 usb/ehci-platform: Set PM runtime as active on resume
  ACK: iwamatsu
  - 737c975db35b0 usb/xhci-plat: Set PM runtime as active on resume
  ACK: iwamatsu
  - 4d046d7147daf scsi: acornscsi: Fix an error handling path in acornscsi_probe()
  ACK: iwamatsu
  - 7f5c8bd3a29a8 selftests/net: in timestamping, strncpy needs to preserve null byte
  ACK: iwamatsu
  - 7e5c47b8f4e56 elfnote: mark all .note sections SHF_ALLOC
  ACK: iwamatsu
  - b656010d1a06d include/linux/bitops.h: avoid clang shift-count-overflow warnings
  ACK: iwamatsu
  - f0db9a6434187 lib/zlib: remove outdated and incorrect pre-increment optimization
  ACK: iwamatsu
  - d9aa44efed5e6 scsi: iscsi: Fix reference count leak in iscsi_boot_create_kobj
  ACK: iwamatsu
  - 536fd514b3be2 gfs2: Allow lock_nolock mount to specify jid=X
  ACK: iwamatsu
  - d9f4137a16019 openrisc: Fix issue with argument clobbering for clone/fork
  IGN: openrisc
  - 0e8108e0556b6 ASoC: fsl_asrc_dma: Fix dma_chan leak when config DMA channel failed
  ACK: iwamatsu
  - c90c6ac8fbe9d net: sunrpc: Fix off-by-one issues in 'rpc_ntop6'
  ACK: iwamatsu
  - 4e26dd5e3f674 usb: gadget: fix potential double-free in m66592_probe.
  ACK: iwamatsu
  - c16f825fb0a34 usb: gadget: lpc32xx_udc: don't dereference ep pointer before null check
  ACK: iwamatsu
  - 8537aebb89b68 USB: gadget: udc: s3c2410_udc: Remove pointless NULL check in s3c2410_udc_nuke
  ACK: iwamatsu
  - b952f05377788 usb: dwc2: gadget: move gadget resume after the core is in L0 state
  ACK: iwamatsu
  - 720e91f8a2a74 watchdog: da9062: No need to ping manually before setting timeout
  ACK: iwamatsu
  - 7ad6b32e01ffe clk: samsung: exynos5433: Add IGNORE_UNUSED flag to sclk_i2s1
  ACK: iwamatsu
  - 091f9ba81da94 tty: n_gsm: Fix bogus i++ in gsm_data_kick
  ACK: iwamatsu
  - ec4bff3f0604b USB: host: ehci-mxc: Add error handling in ehci_mxc_drv_probe()
  ACK: iwamatsu
  - 652def4c63b99 usb/ohci-platform: Fix a warning when hibernating
  ACK: iwamatsu
  - 2fbc2166f7ed2 vfio-pci: Mask cap zero
  ACK: iwamatsu
  - 4d99f432ca2b8 powerpc/ps3: Fix kexec shutdown hang
  IGN: ppc
  - aa6849125abc1 powerpc/pseries/ras: Fix FWNMI_VALID off by one
  IGN: ppc
  - b0b95ad66ac27 tty: n_gsm: Fix waking up upper tty layer when room available
  ACK: iwamatsu
  - eeeb7a2b11eb4 tty: n_gsm: Fix SOF skipping
  ACK: iwamatsu
  - 820fd4a6a1ea9 clk: ti: composite: fix memory leak
  ACK: iwamatsu
  - 21e382b301384 dlm: remove BUG() before panic()
  ACK: iwamatsu
  - d7b4327783f64 scsi: mpt3sas: Fix double free warnings
  ACK: iwamatsu
  - 3e40ef30c08f5 power: supply: smb347-charger: IRQSTAT_D is volatile
  IGN: ppc
  - edbdbc723b4e0 PCI/ASPM: Allow ASPM on links to PCIe-to-PCI/PCI-X Bridges
  ACK: iwamatsu
  - 3993a8eb1ed00 drivers: base: Fix NULL pointer exception in __platform_driver_probe() if a driver developer is foolish
  ACK: iwamatsu
  - 428006b4573b0 serial: amba-pl011: Make sure we initialize the port.lock spinlock
  ACK: iwamatsu
  - 31fe262ad0d53 i2c: pxa: fix i2c_pxa_scream_blue_murder() debug output
  ACK: iwamatsu
  - e806b55b72d6c staging: sm750fb: add missing case while setting FB_VISUAL
  ACK: iwamatsu
  - ba3badce3e058 tty: hvc: Fix data abort due to race in hvc_open
  ACK: iwamatsu
  - 4e22955825919 s390/qdio: put thinint indicator after early error
  IGN: s390
  - 02c56650f3c11 ALSA: usb-audio: Improve frames size computation
  ACK: iwamatsu, but we can rewrite snd_usb_endpoint_next_packet_size without using ret
  - 281bef843ee74 scsi: ibmvscsi: Don't send host info in adapter info MAD after LPM
  ACK: iwamatsu
  - 27a7c9b66b77e scsi: sr: Fix sr_probe() missing deallocate of device minor
  ACK: iwamatsu
  - 025c48a5eb0f4 mksysmap: Fix the mismatch of '.L' symbols in System.map
  ACK: iwamatsu
  - 9f34721c28ebf yam: fix possible memory leak in yam_init_driver
  ACK: iwamatsu
  - 94feb3b564113 powerpc/crashkernel: Take "mem=" option into account
  IGN: ppc
  - f5a50e848e450 nfsd: Fix svc_xprt refcnt leak when setup callback client failed
  ACK: iwamatsu
  - de8acbd41c207 scsi: lpfc: Fix lpfc_nodelist leak when processing unsolicited event
  ACK: iwamatsu
  - f188af0ff63f7 mfd: wm8994: Fix driver operation if loaded as modules
  ACK: iwamatsu
  - 9016837658669 vfio/pci: fix memory leaks in alloc_perm_bits()
  ACK: iwamatsu
  - 844810b092ed2 ps3disk: use the default segment boundary
  IGN: ps3
  - d6503bd6a24c7 usblp: poison URBs upon disconnect
  ACK: iwamatsu
  - bc601c4642fc6 i2c: pxa: clear all master action bits in i2c_pxa_stop_message()
  ACK: iwamatsu
  - f876da3fd44c1 scsi: qla2xxx: Fix issue with adapter's stopping state
  ACK: iwamatsu
  - f4ea855de4251 ALSA: isa/wavefront: prevent out of bounds write in ioctl
  ACK: iwamatsu
  - 9ec09642f5cd0 clk: qcom: msm8916: Fix the address location of pll->config_reg
  ACK: iwamatsu
  - adcd53860d5bf i2c: piix4: Detect secondary SMBus controller on AMD AM4 chipsets
  ACK: iwamatsu
  - 55597918d5226 clk: sunxi: Fix incorrect usage of round_down()
  ACK: iwamatsu
  - 52a238a13ae0e s390: fix syscall_get_error for compat processes
  IGN: s390
